package CXC::ACIS::ParameterBlock::CC;

use CXC::ACIS::ParameterBlock::FEP::CC;

use Moo;

extends 'CXC::ACIS::ParameterBlock::Mode';

has '+block' => (
    handles => [ qw(
          ccBlockSlotIndex
          columnSum
          rowSum
          )
    ],
);



sub fep_from_block {
    shift;
    CXC::ACIS::ParameterBlock::FEP::CC->new_from_block( @_ );
}


1;

__END__

=head1 NAME

CXC::ACIS::ParameterBlock::CC - A CC Mode parameter block


=head1 DESCRIPTION

B<L<CXC::ACIS::ParameterBlock::CC>> represents a CC mode parameter block.

It is a subclass of B<L<CXC::ACIS::ParameterBlock::Mode>>.


=head1 INTERFACE

=head2 methods

This class provides the following methods in addition to those in its
parent classes.


=head3 ccBlockSlotIndex

=head3 columnSum

=head3 rowSum


=head1 BUGS AND LIMITATIONS

No bugs have been reported.


=head1 SEE ALSO

B<L<CXC::ACIS::ParameterBlock>>, B<L<CXC::ACIS::ParameterBlock::Mode>>, B<L<CXC::ACIS::ParameterBlock::FEP>>..

=head1 LICENSE AND COPYRIGHT

Copyright (c) 2015 The Smithsonian Astrophysical Observatory

CXC::ACIS::ParameterBlock is free software: you can redistribute it
and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=head1 AUTHOR

Diab Jerius  E<lt>djerius@cfa.harvard.eduE<gt>
