package CXC::ACIS::ParameterBlock::Types;

use 5.10.0;

use strict;
use warnings;

use Carp;

use Type::Library
  -base,
  -declare => qw(
  CCDid
  CCDrow
  CCDcolumn
  CCDwidth
  CCDheight
  FEPid
);

our @EXPORT_OK = qw[ slurpy ];

use Types::Standard -all;
use Type::Utils -all;
use Types::Common::Numeric -all;


BEGIN {
    extends 'Types::Standard', 'Types::Common::Numeric', 'Types::Path::Tiny';
}

declare CCDid,
  as PositiveOrZeroInt,
  where { $_ < 10 };


declare FEPid,
  as PositiveOrZeroInt,
  where { $_ < 6 };

declare CCDrow,
  as PositiveOrZeroInt,
  where { $_ < 1024 };

declare CCDcolumn,
  as PositiveOrZeroInt,
  where { $_ < 1024 };

declare CCDwidth,
  as PositiveOrZeroInt,
  where { $_ < 1024 };

declare CCDheight,
  as PositiveOrZeroInt,
  where { $_ < 1024 };

1;
